with GNATCOM.Dispinterface;

package MSHTML.IHTMLParamElement2_Object is

   type IHTMLParamElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_name
     (This : IHTMLParamElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLParamElement2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_type
     (This : IHTMLParamElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_type
     (This : IHTMLParamElement2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_value
     (This : IHTMLParamElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_value
     (This : IHTMLParamElement2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_valueType
     (This : IHTMLParamElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_valueType
     (This : IHTMLParamElement2_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLParamElement2_Object;

